Bug 144581

Summary: Default text prints in Blue on Epson Stylus Photo 900 printer
Product: [Fedora] Fedora Reporter: Bevis King <B.King>
Component: foomaticAssignee: Tim Waugh <twaugh>
Status: CLOSED CANTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 3   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-04-30 09:45:34 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Bevis King 2005-01-08 14:26:13 EST
Description of problem:
Default colour text prints in blue on Epson Stylus Photo 900 printer.
 If you print the CUPS test page, all works normally, as do images
printed through GIMP-print.  However conventional postscript files
from web browsers, openoffice, etc print what should be black text in
blue.  The problem appears to be that the default text colour is wrong
- those PS files that specify it precisely, print correctly.  The
problem occurs on both x86_64 and i686 versions of the system;
configuring CUPS to run foomatic/ghostscript processing locally on a
Fedora Core 1 box and then submit the converted document as ESC-P
format to the queue works normally, so it is the FC3
foomatic/ghostscript conversion that is the problem.  An HP OfficeJet
R65 was also tested but did not show the problem.

Version-Release number of selected component (if applicable):
foomatic 3.0.2 (et al) - updated to Jan 8th, 2005.

How reproducible:
Every time.

Steps to Reproduce:
1.  Print from a postscript generating application to an Epson Color
Photo 900 printer.
  
Actual results:
text that should be black will be blue.

Expected results:
"default" colour text should be printed in black.

Additional info:
Comment 1 Tim Waugh 2005-01-10 04:31:32 EST
Please create a raw job using these two command lines (you can paste them into a
terminal):

echo hello world | \
  /usr/lib*/cups/filter/texttops 1 $USER '' 1 '' 2>/dev/null > w.ps
gs -dPARANOIDSAFER -dNOPAUSE -dBATCH -sDEVICE=ijs -sIjsServer=ijsgimpprint \
  -dIjsUseOutputFD -sDeviceManufacturer=EPSON -sDeviceModel=escp2-ph900 \
  -dDEVICEWIDTHPOINTS=595 -dDEVICEHEIGHTPOINTS=842 -r360x360 \
  -sProcessColorModel=DeviceRGB \
-sIjsParams=Quality=360swuni,InkType=PhotoCMYK,MediaType=Plain,MediaSource=Standard,Dither=Adaptive,ImageType=2,Density=1.000000,Brightness=1.000000,Gamma=1.000000,Contrast=1.000000,Saturation=1.000000,Cyan=1.000000,Magenta=1.000000,Yellow=1.000000\
  -sOutputFile=w.prn w.ps

Submit w.prn in the same way you submitted the ESC-P job previously -- does
"hello world" appear in blue?
Comment 2 Bevis King 2005-01-13 15:14:31 EST
>Submit w.prn in the same way you submitted the ESC-P job previously -- does
>"hello world" appear in blue?

With this test, the text appears to be black as it should be.

The diagnostic output from the second command is:

gs -dPARANOIDSAFER -dNOPAUSE -dBATCH -sDEVICE=ijs -sIjsServer=ijsgimpprint \
?   -dIjsUseOutputFD -sDeviceManufacturer=EPSON -sDeviceModel=escp2-ph900 \
?   -dDEVICEWIDTHPOINTS=595 -dDEVICEHEIGHTPOINTS=842 -r360x360 \
?   -sProcessColorModel=DeviceRGB \
?
-sIjsParams=Quality=360swuni,InkType=PhotoCMYK,MediaType=Plain,MediaSource=Standard,Dither=Adaptive,ImageType=2,Density=1.000000,Brightness=1.000000,Gamma=1.000000,Contrast=1.000000,Saturation=1.000000,Cyan=1.000000,Magenta=1.000000,Yellow=1.000000\
?   -sOutputFile=w.prn w.ps
GNU Ghostscript 7.07 (2003-05-17)
Copyright (C) 2003 artofcode LLC, Benicia, CA.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Loading NimbusRomNo9L-Regu font from
/usr/share/fonts/default/Type1/n021003l.pfb... 3241696 1813767 1711216 406102 0
done.
Using NimbusRomanNo9L-Regu font for NimbusRomNo9L-Regu.
Loading NimbusSanL-Regu font from /usr/share/fonts/default/Type1/n019003l.pfb...
3775776 2330265 1748296 425474 0 done.
Using NimbusSansL-Regu font for NimbusSanL-Regu.
Comment 3 Tim Waugh 2005-01-13 17:45:54 EST
Please attach the output of 'printconf-tui --Xexport'.  Thanks.
Comment 4 Bevis King 2005-01-14 04:51:21 EST
<?xml version="1.0"?>
<adm_context VERSION="0">
  <id NAME="local" SERIAL="1100423923">
    <null/>
    <null/>
    </id>
  <datatree>
    <printconf TYPE="LIST">
      <print_queues TYPE="LIST">
        <scroll ATOMIC="TRUE" TYPE="LIST">
          <alias_list ANONYMOUS="TRUE" TYPE="LIST">
            </alias_list>
          <queue_type TYPE="STRING" VALUE="LOCAL"/>
          <queue_data TYPE="LIST">
            <local_printer_device TYPE="STRING" VALUE="/dev/lp0"/>
            </queue_data>
          <filter_data TYPE="LIST">
            <print_header_page TYPE="BOOL" VALUE="FALSE"/>
            <flags TYPE="LIST">
              <rerender_Postscript TYPE="BOOL" VALUE="FALSE"/>
              <convert_text_to_Postscript TYPE="BOOL" VALUE="TRUE"/>
              <send_FF TYPE="BOOL" VALUE="FALSE"/>
              <assume_data_is_text TYPE="BOOL" VALUE="FALSE"/>
              <send_EOT TYPE="BOOL" VALUE="FALSE"/>
              </flags>
            <mf_type TYPE="STRING" VALUE="MFOMATIC"/>
            <filter_locale TYPE="STRING" VALUE="C"/>
            <printer_id TYPE="STRING" VALUE="Epson-Stylus_Color_900"/>
            <gs_driver TYPE="STRING" VALUE="gimp-print-ijs"/>
            <foomatic_defaults ANONYMOUS="TRUE" TYPE="LIST">
              <option_default TYPE="LIST">
                <name TYPE="STRING" VALUE="PageSize"/>
                <type TYPE="STRING" VALUE="enum"/>
                <default TYPE="STRING" VALUE="A4"/>
                </option_default>
              </foomatic_defaults>
            </filter_data>
          <filter_type TYPE="STRING" VALUE="MAGICFILTER"/>
          <queue_description TYPE="STRING" VALUE="Epson Colour Stylus 900 Photo"/>
          <jobsheets TYPE="LIST">
            <start TYPE="STRING" VALUE="none"/>
            <end TYPE="STRING" VALUE="none"/>
            </jobsheets>
          <margins TYPE="LIST">
            <top TYPE="INT" VALUE="36"/>
            <right TYPE="INT" VALUE="36"/>
            <bottom TYPE="INT" VALUE="36"/>
            <left TYPE="INT" VALUE="36"/>
            </margins>
          <lpoptions TYPE="LIST">
            <cpi TYPE="STRING" VALUE="12"/>
            <lpi TYPE="STRING" VALUE="7"/>
            <page-bottom TYPE="STRING" VALUE="86"/>
            <page-left TYPE="STRING" VALUE="57"/>
            <page-right TYPE="STRING" VALUE="57"/>
            <page-top TYPE="STRING" VALUE="72"/>
            <scaling TYPE="STRING" VALUE="100"/>
            <wrap TYPE="STRING" VALUE="true"/>
            </lpoptions>
          </scroll>
        </print_queues>
      <sharing_globals TYPE="LIST">
        <browsing TYPE="BOOL" VALUE="TRUE"/>
        </sharing_globals>
      <default_queue TYPE="STRING" VALUE="scroll"/>
      </printconf>
    </datatree>
  </adm_context>
Comment 5 Tim Waugh 2005-02-02 11:00:17 EST
Please change /etc/foomatic/filter.conf so that it contains the line:

debug: 1

Then submit a job again and attach /tmp/foomatic-rip.log here.  Thanks.
Comment 6 Bevis King 2005-09-09 10:13:55 EDT
I am about to upgrade to FC4 and will report on whether this fixes the problem.
Comment 7 Tim Waugh 2005-09-09 10:23:18 EDT
Okay, great.
Comment 8 Bevis King 2005-09-09 10:32:30 EDT
I should perhaps also mention that I bought TurboPrint for FC3 and that worked
correctly on the Epson printer.  However having installed that, I was no longer
able to test the vanilla FC3 condition hence the delay in updating this report.
Comment 9 John Thacker 2006-04-30 09:45:34 EDT
No response from reporter for over six months as to whether FC4 fixed 
the problem.  FC3 is now the responsibility of Fedora Legacy.  Closing.
If the problem still exists in FC4 or FC5, please reopen.